ENJARIFY(1)

NAME
enjarify - translate Dalvik to Java bytecode

SYNOPSIS
enjarify [-h] [-o OUTPUT] [-f] [- -fast] inputfile

DESCRIPTION
Android applications (.apk) contain Java classes compiled in bytecode for the Dalvik VM, usually inside the file classes.dex. To allow analyzing those files, they have to be translated back to normal Java bytecode.

OPTIONS

-h, - -help
    Display brief usage information.

-o, - -output OUTPUT
    The output file (.jar). Default: [input-filename]-enjarify.jar

-f, - -force
    Force overwriting the specified output file if it already exists.

- -fast
    Disable optimizations that produce more readable bytecode, which speeds up the conversion.

inputfile
    The input file (.dex or .apk). If a multidex apk is specified, all dex files will be translated into a single .jar file.

NOTES
Optional metadata like source file attributes, line numbers and annotations are currently not translated.